yast2-ldap

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Macros | Functions
LdapAgent.cc File Reference
`#include "LdapAgent.h"`
`#include <ctype.h>`

## Macros
#define | PC(n) (path->component_str(n))

## Functions
string | tolower (string in)
YCPString | addBlanks (int uid)

## Macro Definition Documentation

#define PC | ( |  | n) |  | (path->component_str(n))

Referenced by LdapAgent::Execute(), LdapAgent::Read(), and LdapAgent::Write().

## Function Documentation

YCPString addBlanks | ( | int | uid) |  |

add blanks to uid/gid entry in table (for the use of users module)

References MAX_LENGTH_ID.

Referenced by LdapAgent::Execute().

string tolower | ( | string | in) |  |

Referenced by LdapAgent::getGroupEntry(), LdapAgent::getUserEntry(), and LdapAgent::stringlist2ycplist_low().